Subject: bug#24538: 25.1; 25.1: load-library js reports error: defconst: Symbol’s value as variable is void: sgml-name-re

From: [email-masked]
Date: Sun, 25 Sep 2016 08:31:08 -0400

tags 24538 unreproducible
quit

Andreas Schwab <[email-masked]> writes:

> On Sep 25 2016, Milan Zimmermann <[email-masked]> wrote:
>
>> I was getting errors loading javascript-mode, reporting error on sgml-name-re.
>>
>> After doing some searches, I decided to just try:
>>
>> M-x: load-library
>> js
>>
>> This results in this error:
>>
>> defconst: Symbol’s value as variable is void: sgml-name-re
>
> Worksforme.

Same here.

> This variable is defined by sgml-mode, which is required by
> js.

I was going to suggest another sgml-mode.el shadowing the builtin one,
but it doesn't show up in the OP's Load-path shadows list.